--- debathena-attachandrun-9.4.28.orig/debian/compat
+++ debathena-attachandrun-9.4.28/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-attachandrun-9.4.28.orig/debian/control.in
+++ debathena-attachandrun-9.4.28/debian/control.in
@@ -0,0 +1,14 @@
+Source: debathena-attachandrun
+Section: net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, debathena-libathdir-dev
+Standards-Version: 3.7.2
+
+Package: debathena-attachandrun
+Architecture: any
+Provides: attachandrun
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-attach
+Description: An Athena utility for scripts to run a program from a locker
+ The attachandrun utility allows a script to robustly run a program from 
+ a specified locker.
--- debathena-attachandrun-9.4.28.orig/debian/copyright
+++ debathena-attachandrun-9.4.28/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-attachandrun-9.4.28.orig/debian/control
+++ debathena-attachandrun-9.4.28/debian/control
@@ -0,0 +1,14 @@
+Source: debathena-attachandrun
+Section: net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27-1), debathena-libathdir-dev
+Standards-Version: 3.7.2
+
+Package: debathena-attachandrun
+Architecture: any
+Provides: attachandrun
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-attach
+Description: An Athena utility for scripts to run a program from a locker
+ The attachandrun utility allows a script to robustly run a program from 
+ a specified locker.
--- debathena-attachandrun-9.4.28.orig/debian/rules
+++ debathena-attachandrun-9.4.28/debian/rules
@@ -0,0 +1,12 @@
+#!/usr/bin/make -f
+  
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += lbindir=/bin
+
+clean::
+	rm -f configure
--- debathena-attachandrun-9.4.28.orig/debian/patches/series
+++ debathena-attachandrun-9.4.28/debian/patches/series
@@ -0,0 +1 @@
+attachandrun-no-athena-paths.patch
--- debathena-attachandrun-9.4.28.orig/debian/patches/attachandrun-no-athena-paths.patch
+++ debathena-attachandrun-9.4.28/debian/patches/attachandrun-no-athena-paths.patch
@@ -0,0 +1,13 @@
+Index: debathena-attachandrun-9.4.28/attachandrun.c
+===================================================================
+--- debathena-attachandrun-9.4.28.orig/attachandrun.c	2007-02-04 01:45:38.000000000 -0500
++++ debathena-attachandrun-9.4.28/attachandrun.c	2007-02-04 01:45:52.000000000 -0500
+@@ -123,7 +123,7 @@
+       dup2(fds[1], STDOUT_FILENO);
+       if (fds[1] != STDOUT_FILENO)
+ 	close(fds[1]);
+-      execl("/bin/athena/attach", "attach", "-p", locker, (char *) NULL);
++      execl("/bin/attach", "attach", "-p", locker, (char *) NULL);
+       fprintf(stderr, "%s: execl failed: %s\n", progname, strerror(errno));
+       _exit(1);
+     }
--- debathena-attachandrun-9.4.28.orig/debian/changelog
+++ debathena-attachandrun-9.4.28/debian/changelog
@@ -0,0 +1,5 @@
+debathena-attachandrun (9.4.28-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 01:06:26 -0500
